/**
 * @param {Definition} definition
 * @returns {import('./schema.js').Schema}
 */
export function create(definition: Definition): import('./schema.js').Schema
export type Properties = import('./schema.js').Properties
export type Normal = import('./schema.js').Normal
export type Info = import('./info.js').Info
export type Attributes = {
  [x: string]: string
}
export type Definition = {
  properties: {
    [x: string]: number | null
  }
  transform: (attributes: Attributes, property: string) => string
  space?: string
  attributes?: Attributes
  mustUseProperty?: Array<string>
}
